FreeOrion
http://www.freeorion.org/forum/

Exper. statically linux version with gcc-4.3 + shipped pytho
http://www.freeorion.org/forum/viewtopic.php?f=9&t=2315
Page 1 of 1

Author:  kroddn [ Mon Jul 14, 2008 2:20 pm ]
Post subject:  Exper. statically linux version with gcc-4.3 + shipped pytho

My current linux versions are experimentally compiled using gcc 4.3 - gcc-4.2 does not work any longer, as of a bug in boost. See viewtopic.php?f=24&t=2303 for more details.

Finally I got managed to support some code to check for the presence of python2.5 on the system.

If no python2.5 is found, a fallback is used. I ship some shared executables of python2.5 within the archive, so that it can be used to run FreeOrion.

Please test this on your linux systems. Some users might want to deinstall python2.5 to try my workaround. It would be nice to have some reports on how this is working.

Download the latest file from my space:
http://psitronic.de/div/FO/

From on revision 2641 there is included the above mentioned support.

A good testing case is 15 Star Systems with 4 AI players.

Author:  kroddn [ Wed Jan 07, 2009 6:46 pm ]
Post subject:  Re: Exper. statically linux version with gcc-4.3 + shipped pytho

I am very interested in 64bit linuxes. If anyone has successfully run the statically FreeOrion on such a linux, please inform me!

Author:  OndrejR [ Wed Jan 07, 2009 6:52 pm ]
Post subject:  Re: Exper. statically linux version with gcc-4.3 + shipped pytho

I successfully compiled and run FreeOrion on amd64 Debian and I never used static version of FreeOrion.

Author:  IConrad [ Wed Jan 07, 2009 7:41 pm ]
Post subject:  Re: Exper. statically linux version with gcc-4.3 + shipped pytho

I once compiled FreeOrion w/ Ubuntu Intrepid amd64 during the brief window while FO still used boost1.35 to compile. Since the 'upgrade' to 1.36+ I find myself unable to get scons to find libboost-serialization regardless of any tricks or traps or advice. OndrejR seems to be of the opinion this is because I am using libc6 v2.8. Something about there being a bad symlink for GG.

Author:  kroddn [ Fri Jan 09, 2009 12:40 pm ]
Post subject:  Re: Exper. statically linux version with gcc-4.3 + shipped pytho

This topic is about the statically linked linux version - please post here if you tried THAT version. Self-Compiled versions are likely to run as soon as you get them compiled.

@IConrad: if you have time try to reach me at the IRC chat. I can help you get it working again.

Author:  IConrad [ Fri Jan 09, 2009 4:59 pm ]
Post subject:  Re: Exper. statically linux version with gcc-4.3 + shipped pytho

kroddn: I'll give it a shot. I'm on AZ time and won't be back at my home machine until sometime around 6:00 local, however.

Also -- I noticed a graphical error w/ the text in the most recent binary you uploaded -- I think it's possibly related to the graphical error going on w/ the Cyrillic text.

I'll edit this post w/ a screenshot later.

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/